From 8a32d5ff66b7c85cd24addfe7b20bff52d045327 Mon Sep 17 00:00:00 2001
From: hjp <hjp>
Date: Thu, 3 Feb 2005 16:13:40 +0000
Subject: [PATCH] Force Backspace to BS on xterms.

---
 .znewterm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/.znewterm b/.znewterm
index 0940699..dde08ce 100644
--- a/.znewterm
+++ b/.znewterm
@@ -42,7 +42,11 @@ then
 	then
 		export DISPLAY=${REMOTEHOST}:0.0
 	fi
-	#stty erase 
+	# force backspace key to send BS:
+	# warning: This works with real xterm and rxvt
+	# it doesn't work with konsole or gnome-terminal.
+	echo '[?67h'
+	stty erase 
 else
 	prompt="%B%m:%~ %T %h%# %b"
 fi
